package base

type ResRelation struct {
	Uuid               string `db:"uuid"`
	CategoryUuid       string `db:"category_uuid"`    // 所属 UUID
	Name               string `db:"name"`             // 关联名称
	Code               string `db:"code"`             // 关联标识
	Type               string `db:"type"`             // 关联类型
	ResourceCode       string `db:"actuallyResource"` // 实际资源资源
	RelationForeignKey string `db:"actuallyField"`    // 实际资源资源字段
	RelationResource   string `db:"relationResource"` // 被关联的资源
	RelationField      string `db:"relationField"`    // 被关联的字段
	UpdatedAt          string `db:"updated_at"`
	CreatedAt          string `db:"created_at"`
}

type GetResRelations func(categoryUuid string) []ResRelation
